Subject: RE: Oracle 8i test
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 4 Jun 2001 07:33:05 -0700 (PDT)

TDS Stage is now pointing to ermtst8i. This is an Oracle 8 version of the TAGG/ERMS database, current as of last Friday. Only the FT-West, GD-West, and FT-Denver desks are active. So far, everything seems to be working (nothing's blown up). As far as I know, no curves have been loaded into the curve cache.  The current plan is to migrate to Oracle 8i in 2 weeks, so now's the time to find problems.

Mike Swaim
[email-masked]
Disclaimer: Yeah, like I speak for Enron. 

>  -----Original Message-----
> From: 	Fortney, Bill  
> Sent:	Friday, June 01, 2001 10:41 AM
> To:	Dattani, Nayan; Farooqi, Ahmad; Husain, Karima; Kasaru, 
> Narasim; Nommensen, Dave; Swaim, Michael; Taylor, Trac; Wei, Zhiyong
> Subject:	Oracle 8i test
> 
> I received this message Wednesday afternoon:
> 
> "TAGG/ERMS is migrating to Oracle 8i on June 16, 2001.  
> Please test your production code on ermtst8i."
> 
> and yesterday:
> 
> The TAGG/ERMS DBA will refresh ermtst8i this weekend, 
> starting from 8 a.m. Saturday, June 2 (it'll take about 20-24 hours).
> 
> In preparation for the testing, I copied the latest binaries 
> from nahou-aptds01t to nahou-aptds02t. This is the server 
> machine that we will use to perform the Oracle 8i testing. I 
> modified the local.env file and the appropriate start-up 
> scripts to crank up the server processes.
> 
> Here is an environment file which can be used on the local 
> desktops to communicate with the 8i test machine. We will use 
> the database ermtst8i and TIBCO port 7555 for the test. 
> 
>  << File: 7555.env >> 
> The server start-up script starts View Aggregators for 
> FT-West, GD-West, and FT-Denver and one roll-up aggregator 
> for ALL-WEST. Once the database refresh is done this weekend 
> I recommend that Trac uses the DeskBookAdmin tool to remove 
> the other desks from the ALL-West roll-up. Be sure that you 
> are pointing to the right database instance! 
> 
> Other tasks that need to be done:
> * Check the View Aggregator log file to be sure that the 
>   database load process has worked. Right now, because the 
>   field Index_Based_Deal_Flag does not existing 
>   egs_sensitivities, DBExceptions are being raised and 
>   written to the log files.
> * Run Launchpad, Position Manager, DealTicker, and 
>   TradeBlotter to make sure that they are all working 
>   correctly. Save some new deals using TradeBlotter and see 
>   the changes and highlighting in real-time views.
> * Run TDSPosnLoad to force a reload of at least one of the 
>   aggregators.
> * Run Curve Manager. Publish some curves and save them to the 
>   database. 
> * Validate that the caches are working correctly.
> * Check out that the various utility programs like 
>   DeskSecurity, DeskBookAdmin, etc all work correctly.
> * Check that Hawk works, especially the DBInfo agent. I 
>   believe that is the only one that accesses the database, 
>   but I'm not sure.
> 
> Mike will be the central point of contact for any problems 
> discovered. Please let him know if you encounter issues or 
> have questions.
> 
> This is just my idea for  general test plan. Feel free to add 
> items that I may not have thought about. I believe that the 
> entire test should not take more than two to three hours, but 
> let's do our best to make sure that the migration will not 
> have any negative effects on TDS.
> 
> Bill Fortney
> 3-9952
>